.baseLayout {
  @apply grid
    size-full
    grid-cols-[1fr]
    grid-rows-[auto_1fr];

  main {
    @apply px-4;
  }
}

.centeredLayout {
  @apply flex
    w-full
    min-w-0
    items-center
    justify-center
    bg-muted/40
    px-4
    py-14
    md:px-14 lg:px-28;

  main {
    @apply items-center
      justify-center;
  }
}

.homeLayout {
  @apply gap-8
    md:flex-row
    md:gap-14
    xl:gap-28
    2xl:gap-32;
}
